#include <stdio.h>
#include <stdlib.h>

static FILE *inp, *outp;

void Ramen(int N);

int main(int argc, char **argv) {
  int N;
  if(argc != 3) {
    fprintf(stderr, "usage: %s <output> <input>\n", argv[0]);
    exit(1);
  }
  inp = fopen(argv[2], "r");
  if(!inp) {
    fprintf(stderr, "can't open %s\n", argv[2]);
    exit(1);
  }
  outp = fopen(argv[1], "w");
  if(!outp) {
    fprintf(stderr, "can't open %s\n", argv[1]);
    exit(1);
  }
  if(fscanf(inp, "%d", &N) < 1) {
    fprintf(stderr, "read error from parent process\n");
    exit(1);
  }
  Ramen(N);
  return 0;
}

int Compare(int X, int Y) {
  int result;
  fprintf(outp, "0 %d %d\n", X, Y);
  fflush(outp);
  if(fscanf(inp, "%d", &result) < 1) {
    fprintf(stderr, "read error from parent process\n");
    exit(1);
  }
  if(result == 0) {
    fprintf(stderr, "exiting\n");
    exit(0);
  }
  return result;
}
void Answer(int X, int Y) {
  fprintf(outp, "1 %d %d\n", X, Y);
  exit(0);
}
